import { randomUUID } from "crypto";

jest.mock("typeorm");

describe("src/db:dataSource.migration", () => {
    beforeEach(() => {
        jest.resetModules();
        jest.clearAllMocks();

        process.env["DB_HOST"] = randomUUID();
        process.env["DB_USER"] = randomUUID();
        process.env["DB_PASS"] = randomUUID();
        process.env["DB_NAME"] = randomUUID();
    });

    it("exports an initialized dataSource", async () => {
        const dut = (await import("./dataSource.migration")).default;

        expect(dut.initialize).toHaveBeenCalled();
    });
});